#!/bin/sh

PATH=$PATH:/Users/celine.barlier/Documents/samtools-1.12/
PATH=$PATH:/Users/celine.barlier/Documents/bedtools2/bin/
export PATH

ASSEMBLY="hg19"
OUTPUTPATH="/Users/celine.barlier/Desktop/REPOSITORIES/GITLAB/RNetDys_analyses/Benchmarking/RNetDysNetworks/"
CUTOFF=0.05
#GRN network inference code of RNetDys
S2EPREGPATH="/Users/celine.barlier/Desktop/PROJECTS/ONGOING/EnhancerGenesProject/RNetDys/S2EPreg.sh"

## A549

A549PATH="/Users/celine.barlier/Desktop/REPOSITORIES/GITLAB/RNetDys_analyses/Benchmarking/Data/A549/"

#RNA
RNA_A1=$A549PATH"scRNAseq/GSE81861_A549_scRNAseq.txt"
RNA_A2=$A549PATH"scRNAseq/GSM3271042_scRNAseq_A549.txt"

#ATAC
ATAC_A1=$A549PATH"scATACseq/hg19_GSM3271043_scATACseq_peaksMtx.txt"
ATAC_A2=$A549PATH"scATACseq/hg38_GSM4224433_scATACseq_peaksMtx.txt"

#PROJECT NAME
A_PN1="A549_d1"
A_PN2="A549_d2"
A_PN3="A549_d3"
A_PN4="A549_d4"

#ATAC 1 & RNA 1
sh $S2EPREGPATH -r $RNA_A1 -a $ATAC_A1 -s $ASSEMBLY -o $OUTPUTPATH -n $A_PN1 -c $CUTOFF
#ATAC 1 & RNA 2
sh $S2EPREGPATH -r $RNA_A1 -a $ATAC_A2 -s "hg38" -o $OUTPUTPATH -n $A_PN2 -c $CUTOFF
#ATAC 2 & RNA 1
sh $S2EPREGPATH -r $RNA_A2 -a $ATAC_A1 -s $ASSEMBLY -o $OUTPUTPATH -n $A_PN3 -c $CUTOFF
#ATAC 2 & RNA 2
sh $S2EPREGPATH -r $RNA_A2 -a $ATAC_A2 -s "hg38" -o $OUTPUTPATH -n $A_PN4 -c $CUTOFF

## K562

K562PATH="/Users/celine.barlier/Desktop/REPOSITORIES/GITLAB/RNetDys_analyses/Benchmarking/Data/K562/"

#RNA
RNA_K1=$K562PATH"scRNAseq/GSE81861_K562_count_76cells.txt"
RNA_K2=$K562PATH"scRNAseq/GSE90063_k562_umi_wt.txt"
RNA_K3=$K562PATH"scRNAseq/GSE113415_K562_FPKM.txt"
RNA_K4=$K562PATH"scRNAseq/GSM1599500_K562_cells.txt"

#ATAC
ATAC_K1=$K562PATH"scATACseq/hg19_GSE99172_scATACseq_peaksMtx.txt"
ATAC_K2=$K562PATH"scATACseq/K562_scATAC_scOPEN_hg19.txt"

#PROJECT NAME
K_PN1="K562_d1"
K_PN2="K562_d2"
K_PN3="K562_d3"
K_PN4="K562_d4"
K_PN5="K562_d5"
K_PN6="K562_d6"
K_PN7="K562_d7"
K_PN8="K562_d8"

#ATAC 1 & RNA 1
sh $S2EPREGPATH -r $RNA_K1 -a $ATAC_K1 -s $ASSEMBLY -o $OUTPUTPATH -n $K_PN1 -c $CUTOFF
#ATAC 1 & RNA 2
sh $S2EPREGPATH -r $RNA_K2 -a $ATAC_K1 -s $ASSEMBLY -o $OUTPUTPATH -n $K_PN2 -c $CUTOFF
#ATAC 1 & RNA 3
sh $S2EPREGPATH -r $RNA_K3 -a $ATAC_K1 -s $ASSEMBLY -o $OUTPUTPATH -n $K_PN3 -c $CUTOFF
#ATAC 1 & RNA 4
sh $S2EPREGPATH -r $RNA_K4 -a $ATAC_K1 -s $ASSEMBLY -o $OUTPUTPATH -n $K_PN4 -c $CUTOFF
#ATAC 2 & RNA 1
sh $S2EPREGPATH -r $RNA_K1 -a $ATAC_K2 -s $ASSEMBLY -o $OUTPUTPATH -n $K_PN5 -c $CUTOFF
#ATAC 2 & RNA 2
sh $S2EPREGPATH -r $RNA_K2 -a $ATAC_K2 -s $ASSEMBLY -o $OUTPUTPATH -n $K_PN6 -c $CUTOFF
#ATAC 2 & RNA 3
sh $S2EPREGPATH -r $RNA_K3 -a $ATAC_K2 -s $ASSEMBLY -o $OUTPUTPATH -n $K_PN7 -c $CUTOFF
#ATAC 2 & RNA 4
sh $S2EPREGPATH -r $RNA_K4 -a $ATAC_K2 -s $ASSEMBLY -o $OUTPUTPATH -n $K_PN8 -c $CUTOFF

## Jurkat

JURKATPATH="/Users/celine.barlier/Desktop/REPOSITORIES/GITLAB/RNetDys_analyses/Benchmarking/Data/Jurkat/"

#RNA
RNA_J1=$JURKATPATH"scRNAseq/Jurkat_GSE105451_scRNAseq.txt"
RNA_J2=$JURKATPATH"scRNAseq/Jurkat_scRNAseq.txt"

#ATAC
ATAC_J1=$JURKATPATH"scATACseq/hg19_GSE107816_scATACseq_peaksMtx.txt"

#PROJECT NAME
J_PN1="Jurkat_d1"
J_PN2="Jurkat_d2"

#ATAC 1 & RNA 1
sh $S2EPREGPATH -r $RNA_J1 -a $ATAC_J1 -s $ASSEMBLY -o $OUTPUTPATH -n $J_PN1 -c $CUTOFF
#ATAC 1 & RNA 2
sh $S2EPREGPATH -r $RNA_J2 -a $ATAC_J1 -s $ASSEMBLY -o $OUTPUTPATH -n $J_PN2 -c $CUTOFF
